Saltar al contenido principal
GET
/
v1
/
organizations
/
{organization_id}
/
workspace-groups
/
{workspace_group_id}
Recuperar un grupo de workspaces
curl --request GET \
  --url https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "organization_id": "<string>",
  "create_date": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "create_user": "<string>",
  "filter": "<string>",
  "location": {
    "latitude": 123,
    "longitude": 123,
    "address": "<string>",
    "description": "<string>"
  },
  "entra_id_source": {
    "resource_id": "<string>",
    "resource_name": "<string>"
  }
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de ruta

organization_id
string
requerido

El identificador único de la organización

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$
workspace_group_id
string
requerido

El identificador único del grupo de workspaces

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$

Respuesta

Detalles del grupo de workspaces recuperados correctamente. La respuesta incluye la configuración, el tipo y la ubicación del grupo de workspaces.

id
string
requerido

ID del grupo de workspaces

Pattern: ^[0-9a-f]{24}$
name
string
requerido

Nombre del grupo de workspaces

organization_id
string
requerido

Identificador de organización

Pattern: ^[0-9a-f]{24}$
create_date
string<date-time>
requerido

Marca de tiempo de creación

description
string | null

Descripción del grupo de workspaces

create_user
string | null

ID del usuario que creó el grupo de workspaces

Pattern: ^[0-9a-f]{24}$
type
enum<string> | null

Tipo de grupo de workspaces

Opciones disponibles:
static,
dynamic,
entra_id
filter
string | null

Cadena de filtro para grupo de workspaces dinámicos

location
object | null

Información de ubicación del grupo de workspaces

entra_id_source
object | null

Información de origen de Entra ID para el grupo de workspaces